apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: letsencrypt-staging
spec:
  acme:
    # The ACME server URL.
    server: https://acme-staging-v02.api.letsencrypt.org/directory
    # Email address used for ACME registration.
    email: golemio@operatorict.cz
    # Name of a secret used to store the ACME account private key.
    privateKeySecretRef:
      name: letsencrypt-staging
    # Enable the HTTP-01 challenge provider.
    solvers:
      - http01:
          ingress:
            ingressClassName: nginx
